diff --git a/modules/sipcapture/sipcapture.c b/modules/sipcapture/sipcapture.c
index 0c306eea825..eb2ea36582e 100644
--- a/modules/sipcapture/sipcapture.c
+++ b/modules/sipcapture/sipcapture.c
@@ -3662,7 +3662,7 @@ static int fix_vendor_id(void **param)
 	if (vendor_id < 0)
 		return -1;
 
-	param = (void*)(long)vendor_id;
+	*param = (void*)(long)vendor_id;
 	return 0;
 }
 
